function create_map(map_div) {
	// default map center to france
	let map_center = coordinates_default;
	//	map_center = {lat:-2.515748362923059, lng:32.93366215464864};
	let world_bound = g_init_bounds;
	let map_options = {
		/* map options : https://developers.google.com/maps/documentation/javascript/reference/map#MapOptions */
		disableDefaultUI: true,
		zoomControl: true,
		scaleControl: true,
		zoom: map_zoom,

		//gestureHandling: "cooperative",
		gestureHandling: "greedy",
		//gestureHandling: "none",
		//gestureHandling: "auto",

		//disableDoubleClickZoom: "false",	// deprecated
		//draggable: "true",				// deprecated

		center: map_center,
		restriction: {
			latLngBounds: world_bound,
			strictBounds: true,
		},
	}

	return new google.maps.Map(map_div, map_options);
}
